commit:     9f6cb43b567c0cf618e8a1d123313250b53b222a
Author:     Nicolas PARLANT <nicolas.parlant <AT> parhuet <DOT> fr>
AuthorDate: Mon Dec  2 13:46:52 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Mon Dec  2 15:11:30 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9f6cb43b

dev-lua/compat53: new package, add 0.14.3

Signed-off-by: Nicolas PARLANT <nicolas.parlant <AT> parhuet.fr>

 dev-lua/compat53/Manifest               |  1 +
 dev-lua/compat53/compat53-0.14.3.ebuild | 65 +++++++++++++++++++++++++++++++++
 dev-lua/compat53/metadata.xml           | 11 ++++++
 3 files changed, 77 insertions(+)

diff --git a/dev-lua/compat53/Manifest b/dev-lua/compat53/Manifest
new file mode 100644
index 000000000..fd97281a9
--- /dev/null
+++ b/dev-lua/compat53/Manifest
@@ -0,0 +1 @@
+DIST lua-compat-5.3-0.14.3.tar.gz 61873 BLAKE2B 
056a6f3ea4239821d616bff50eef12427745a06d0992e0b2abbcfb311eace583ca47312f8a6d3770b2526da09e47ac1a4fb3352c06c49c53b8d205b418f47d9e
 SHA512 
9e355df0d1a165b7bbdc69c39fe49467ae5a7d93e02b875ade5863e2d44ba80955287210376fccbc5f2370970f5552774d84c812a9681d49a78b8eceeab37442

diff --git a/dev-lua/compat53/compat53-0.14.3.ebuild 
b/dev-lua/compat53/compat53-0.14.3.ebuild
new file mode 100644
index 000000000..3a986a494
--- /dev/null
+++ b/dev-lua/compat53/compat53-0.14.3.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-1 luajit )
+
+inherit edo lua toolchain-funcs
+
+MY_PN="lua-${PN/53/-5.3}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Compatibility module providing Lua-5.3-style APIs for Lua 5.2 and 
5.1"
+HOMEPAGE="https://github.com/lunarmodules/lua-compat-5.3/";
+SRC_URI="https://github.com/lunarmodules/${MY_PN}/archive/v${PV}.tar.gz -> 
${MY_P}.tar.gz"
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+DEPEND="${LUA_DEPS}"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+       mv liolib.c io.c || die
+       mv lstrlib.c string.c || die
+       mv ltablib.c table.c || die
+       mv lutf8lib.c utf8.c || die
+       lua_copy_sources
+}
+
+lua_src_compile() {
+       cd "${BUILD_DIR}" || die
+       local u=""
+       for u in *.c; do
+               edo $(tc-getCC) -shared -fPIC \
+               ${CPPFLAGS} -DCOMPAT53_PREFIX="compat53" \
+               ${CFLAGS} $(lua_get_CFLAGS) -Ic-api \
+               ${SOFLAGS} \
+               ${LDFLAGS} $(lua_get_LIBS) \
+               -o "${u/.c/.so}" ${u} c-api/compat-5.3.c
+       done
+}
+
+src_compile() {
+       lua_foreach_impl lua_src_compile
+}
+
+lua_src_install() {
+       cd "${BUILD_DIR}" || die
+       insinto $(lua_get_lmod_dir)/${PN}
+       doins compat53/*.lua
+       exeinto $(lua_get_cmod_dir)/${PN}
+       doexe *.so
+}
+
+src_install() {
+       lua_foreach_impl lua_src_install
+       einstalldocs
+}

diff --git a/dev-lua/compat53/metadata.xml b/dev-lua/compat53/metadata.xml
new file mode 100644
index 000000000..fb956c84c
--- /dev/null
+++ b/dev-lua/compat53/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>nicolas.parl...@parhuet.fr</email>
+               <name>Nicolas PARLANT</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">lunarmodules/lua-compat-5.3</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to